<?php
// cpt-product slider
add_action('init','epsg_cpt');
function epsg_cpt(){
	register_post_type('epsg_slider',
		array('labels'         => array(
			'name'                =>__('Product Slider','ecommerce-product-slider-gallery'),
			'add_new'             =>__('Add New','ecommerce-product-slider-gallery'),
			'add_new_item'        =>__('Add New Slider','ecommerce-product-slider-gallery'),
			'edit_item'           =>__('Add New Product Slider','ecommerce-product-slider-gallery'),
			'new_item'            =>__('New Link','ecommerce-product-slider-gallery'),
			'all_items'           =>__('All Sliders','ecommerce-product-slider-gallery'),
			'view_item'           =>__('View Link','ecommerce-product-slider-gallery'),
			'search_items'        =>__('Search Links','ecommerce-product-slider-gallery'),
			'not_found'           =>__('No Links found','ecommerce-product-slider-gallery'),
			'not_found_in_trash'  =>__('No Links found in Trash','ecommerce-product-slider-gallery')),
		'supports'               => array('title'),
		'hierarchical'           => false,
		'show_in'                => true,
		'show_ui'                => true,
		'show_in_nav_menus'      => false,
		'show_in_menu'           => true,
		'publicly_queryable'     => true,
		'exclude_from_search'    => true,
		'has_archive'            => true,
		'query_var'              => true,
		'can_export'             => true,
		'rewrite'                => true,
		'menu_position'          => 55,
		'public'                 => true,
		'capability_type'        => 'post',
		'menu_icon'              => esc_url(EPSG_URL.'assets/images/product Icon.png'),
	));
}
// Admin Columns
add_filter( 'manage_epsg_slider_posts_columns', 'epsg_slider_columns' );
function epsg_slider_columns( $columns ) {
  $columns = array(
    'cb' => $columns['cb'],
    'title' => __( 'Slider Title', 'ecommerce-product-slider-gallery' ),
    'shortcode' => __( 'Shortcode', 'ecommerce-product-slider-gallery' ),
    'date' => __( 'Date', 'ecommerce-product-slider-gallery' )
  );
  return $columns;
}
add_action( 'manage_epsg_slider_posts_custom_column', 'epsg_slider_custom_column', 10, 2);
function epsg_slider_custom_column( $column, $post_id ) {
   // shortcode column
 if ( 'shortcode' === $column ) {
  echo '<input type="text" onclick="myfun(this)" class="form-control" value="[EPSG id= '.$post_id.']" readonly style="width: 240px;padding: 10px;">'; 
} 
}
//Product Slider Meta Box
add_action('add_meta_boxes','epsg_meta_box',10, 2 );
function epsg_meta_box($post_type, $post){
	add_meta_box(
		'product-meta-box-id',
		__('Product Slider','ecommerce-product-slider-gallery '),
		'epsg_meta_callback',
		'epsg_slider',
		'normal',
		'default'
	);
}
function epsg_meta_callback($post){
  $post_id = $post->ID;
      //Get Post Meta
  $custom_data = unserialize( get_post_meta($post_id,'epsg_settings',true));
  if( empty( $custom_data) ) {
      // default value 
   $custom_data    = epsg_default_settings();
 }    
 require( EPSG_PATH.'inc/cpt/product-slider-settings.php');
}
 //Meta Box Value Save
add_action( 'save_post','epsg_meta_box_save_value' );
function epsg_meta_box_save_value($post_id){
	if('epsg_slider'!== get_post_type($post_id) ){
		return;
	}
 if(isset($_POST['epsg']) && !empty($_POST['epsg'])){
      //General Setting
   $data['slider_sub_title']              = sanitize_text_field(isset($_POST['slider_sub_title'])? $_POST['slider_sub_title']: "");
   $data['product_category']              = map_deep((isset($_POST['product_category'])? $_POST['product_category']: ""), 'sanitize_text_field' );
   $data['select_column']                 = sanitize_text_field(isset($_POST['select_column'])? $_POST['select_column']: "");
   $data['loop_slider']                   = sanitize_text_field(isset($_POST['loop_slider'])? $_POST['loop_slider']: "");
   $data['laptop_devices']                = sanitize_text_field(isset($_POST['laptop_devices'])? $_POST['laptop_devices']: "");
   $data['tablet_devices']                = sanitize_text_field(isset($_POST['tablet_devices'])? $_POST['tablet_devices']: "");
   $data['mobile_devices']                = sanitize_text_field(isset($_POST['mobile_devices'])? $_POST['mobile_devices']: "");
   $data['select_layout']                 = sanitize_text_field(isset($_POST['select_layout'])? $_POST['select_layout']: "");
   $data['slider_autoplay']               = sanitize_text_field(isset($_POST['slider_autoplay'])? $_POST['slider_autoplay']: "");
   $data['autoplay_speed']                = sanitize_text_field(isset($_POST['autoplay_speed'])? $_POST['autoplay_speed']: "");
   $data['slide_direction']               = sanitize_text_field(isset($_POST['slide_direction'])? $_POST['slide_direction']: "");
   $data['shop_btn_text']                 = sanitize_text_field(isset($_POST['shop_btn_text'])? $_POST['shop_btn_text']: "");
   $data['shop_btn_url']                  = sanitize_text_field(isset($_POST['shop_btn_url'])? $_POST['shop_btn_url']: "");
   $data['order_by']                      = sanitize_text_field(isset($_POST['order_by'])? $_POST['order_by']: "");
   $data['order_type']                    = sanitize_text_field(isset($_POST['order_type'])? $_POST['order_type']: "");
      //Advance Setting
   $data['slider_section_title']         = sanitize_text_field(isset($_POST['slider_section_title'])? $_POST['slider_section_title']: "");
   $data['show_slider_Sub_title']        = sanitize_text_field(isset($_POST['show_slider_Sub_title'])? $_POST['show_slider_Sub_title']:"");
      //Colors Setting
   $data['shop_text_color']                       = sanitize_text_field(isset($_POST['shop_text_color'])? $_POST['shop_text_color']: "");
   $data['shop_text_hover']                       = sanitize_text_field(isset($_POST['shop_text_hover'])? $_POST['shop_text_hover']: "");
   $data['shop_background']                       = sanitize_text_field(isset($_POST['shop_background'])? $_POST['shop_background']: "");
   $data['shop_hover_bg']                         = sanitize_text_field(isset($_POST['shop_hover_bg'])? $_POST['shop_hover_bg']: "");
   $data['shop_border_color']                     = sanitize_text_field(isset($_POST['shop_border_color'])? $_POST['shop_border_color']: "");
   $data['shop_border_hover']                     = sanitize_text_field(isset($_POST['shop_border_hover'])? $_POST['shop_border_hover']: "");
   $data['s_s_background']            = sanitize_text_field(isset($_POST['s_s_background'])? $_POST['s_s_background']: "");
   $data['s_subtitle']                = sanitize_text_field(isset($_POST['s_subtitle'])? $_POST['s_subtitle']: "");
   $data['s_s_title']                 = sanitize_text_field(isset($_POST['s_s_title'])? $_POST['s_s_title']: "");
      //Image Setting 
   $data['image_size']                   = sanitize_text_field(isset($_POST['image_size'])? $_POST['image_size']: "");
    //Typography Setting
   // ##################
     //  Slider Section Title
   $data['slider_section_title_font_size']     = sanitize_text_field(isset($_POST['slider_section_title_font_size'])? $_POST['slider_section_title_font_size']: "");
   $data['slider_section_title_line_height']     = sanitize_text_field(isset($_POST['slider_section_title_line_height'])? $_POST['slider_section_title_line_height']: "");
   $data['slider_section_title_letter_spacing']  = sanitize_text_field(isset($_POST['slider_section_title_letter_spacing'])? $_POST['slider_section_title_letter_spacing']: "");
     //Slider Sub Title 
   $data['slider_sub_title_font_size']      = sanitize_text_field(isset($_POST['slider_sub_title_font_size'])? $_POST['slider_sub_title_font_size']: "");
   $data['slider_sub_title_line_height']    = sanitize_text_field(isset($_POST['slider_sub_title_line_height'])? $_POST['slider_sub_title_line_height']: "");
   $data['slider_sub_title_letter_spacing'] = sanitize_text_field(isset($_POST['slider_sub_title_letter_spacing'])? $_POST['slider_sub_title_letter_spacing']: "");
      //Custom Css
   $data['custom_css']              = sanitize_text_field(isset($_POST['custom_css'])? $_POST['custom_css']: "");

	 // Update Post Meta 
   update_post_meta($post_id,'epsg_settings', serialize($data));
 }
}
 //Product Slider Shortcode 
add_action('add_meta_boxes','epsg_shortcode_meta_function');
function epsg_shortcode_meta_function(){
	add_meta_box(
		'Shortcode_meta_box',
		__('Shortcode','ecommerce-product-slider-gallery'),
		'epsg_shotcode_meta_box_callback',
		'epsg_slider',
		'side'
	);
}
 //shotcode callback
function epsg_shotcode_meta_box_callback($post){ ?>
  <div class="shortcode_meta_box">
    <input type="text" onclick='myfun(this)' class="form-control" value="<?php echo "[EPSG id= ".get_the_ID()."]"?>" readonly style="width: 240px;padding: 10px;">
    <hr>
    <p><?php echo esc_html__('Paste any HTML tag', 'ecommerce-product-slider-gallery') ?></p>
    <div class="tooltip">
      <input type="text" onclick='myfun(this)' class="form-control" value="<?php echo "<?php echo do_shortcode('[EPSG id= ".get_the_ID()."]');?>"; ?>" readonly style="width: 240px;padding: 10px;">
    </div>
  </div>
<?php } 