<?php 
wp_enqueue_script('epsg-admin',EPSG_URL.'assets/js/admin/admin.js', array('jquery'), true); 
wp_enqueue_script('epsg-number',EPSG_URL.'assets/js/admin/wpsnumber.js', array('jquery'), true, true); 
?>
<div class="tabset">
  <input type="radio" name="tabset" id="tab1" aria-controls="General" value="tab1"checked>
  <label for="tab1"><i class="fa fa-cog tab-icon" aria-hidden="true"></i>&nbsp;<?php echo esc_html__('GENERAL', 'ecommerce-product-slider-gallery') ?></label>
  <input type="radio" name="tabset" id="tab2" aria-controls="Advance" value="tab2">
  <label for="tab2"><i class="fa fa-th-large tab-icon" aria-hidden="true"></i>&nbsp;<?php echo esc_html__('ADVANCE', 'ecommerce-product-slider-gallery') ?></label>
  <input type="radio" name="tabset" id="tab3" aria-controls="Colors" value="tab3">
  <label for="tab3"><i class="fa fa-paint-brush tab-icon" aria-hidden="true"></i>&nbsp;<?php echo esc_html__('COLORS', 'ecommerce-product-slider-gallery') ?></label>
  <input type="radio" name="tabset" id="tab4" aria-controls="Image" value="tab4">
  <label for="tab4"><i class="fa fa-picture-o tab-icon" aria-hidden="true"></i>&nbsp;<?php echo esc_html__('IMAGE', 'ecommerce-product-slider-gallery') ?></label>
  <input type="radio" name="tabset" id="tab5" aria-controls="Typography" value="tab5">
  <label for="tab5"><i class="fa fa-font tab-icon" aria-hidden="true"></i>&nbsp;<?php echo esc_html__('TYPOGRAPHY', 'ecommerce-product-slider-gallery') ?></label>
  <input type="radio" name="tabset" id="tab6" aria-controls="Custom_Css" value="tab6">
  <label for="tab6"><i class="fa fa-file-code-o tab-icon" aria-hidden="true"></i>&nbsp;<?php echo esc_html__('CUSTOM CSS', 'ecommerce-product-slider-gallery') ?></label>
  <input type="hidden" name="epsg" value="epsg-submission">
  <div class="tab-panels">
    <section id="General" class="tab-panel">
      <div class="row">
        <div class="column">
         <div class="product-slider">
          <h3><?php echo esc_html__('Slider Sub Title', 'ecommerce-product-slider-gallery') ?></h3>
          <input type="text"  placeholder="Add subtitle" name="slider_sub_title" style="width: 400px; height: 60px;" value="<?php echo esc_html($custom_data['slider_sub_title']);?>">
        </div>
        <span class="ps-subtitle-text"><?php echo esc_html__('set slider sub title text.', 'ecommerce-product-slider-gallery') ?></span> 
      </div>
    </div>
    <?php $args = array('type' => 'product', 'taxonomy' => 'product_cat');
    $categories = get_categories($args);
    ?>
    <div class="row">
      <div class="column">
       <div class="product-slider">
        <h3><?php echo esc_html__('Product categories', 'ecommerce-product-slider-gallery') ?></h3>
        <div id="outputs" style="display:none;"></div>
        <?php if (class_exists( 'WooCommerce' ) ) { ?>
          <select data-placeholder="Choose category ..." name="product_category[]" multiple class="wps-cate" value="">
            <?php foreach($categories as $cat){ ?>
              <?php if($custom_data['product_category'] !== '') { ?>
                <option value="<?php echo esc_attr($cat->term_id);?>" <?php selected(in_array($cat->term_id, $custom_data['product_category'] ) ); ?>><a href="<?php echo get_term_link($cat->slug,'product_cat')?>"><?php echo $cat->name; ?></option>
                <?php }else{ ?>
                  <option value="<?php echo esc_attr($cat->term_id);?>" ><a href="<?php echo get_term_link($cat->slug,'product_cat')?>"><?php echo $cat->name; ?></option>
                  <?php } } ?>
                </select>
              <?php } else {
               echo sprintf( __('<span><strong style="color:#C70039;">Note: </strong><strong>eCommerce Product Slider Gallery </strong> recommends <strong><a href="https://wordpress.org/plugins/woocommerce/" target="_blank">WooCommerce</a></strong> to use product category.</span>', 'ecommerce-product-slider-gallery'));
             } ?>
           </div>
           <span class="ps-subtitle-text"><?php echo esc_html__('Select categories of which type of slider you want to show.', 'ecommerce-product-slider-gallery') ?></span>
         </div>
       </div> 
       <?php $loop_slider =  (isset($custom_data['loop_slider']) &&  $custom_data['loop_slider'] == 1 ) ? "checked" : "" ; ?>
       <div class="row">
        <div class="column">
         <div class="product-slider">
          <h3><?php echo esc_html__('Loop slider', 'ecommerce-product-slider-gallery') ?></h3>
          <label class="switch" style="margin-left:0px;">
           <input type="checkbox" id="togBtn" name="loop_slider" value="1" <?php echo esc_attr($loop_slider);?> >
           <div class="slider round">
            <span class="on" ><?php echo esc_html__('ON', 'ecommerce-product-slider-gallery') ?></span>
            <span class="off" ><?php echo esc_html__('OFF', 'ecommerce-product-slider-gallery') ?></span>
          </div>
        </label>
      </div>
      <span class="ps-subtitle-text"><?php echo esc_html__('Choose if you want your slider to scroll products continuously.', 'ecommerce-product-slider-gallery') ?></span> 
    </div>
  </div>
  <div class="row">
    <div class="column">
     <div class="product-slider">
      <h3><?php echo esc_html__('Column', 'ecommerce-product-slider-gallery') ?></h3>
      <select class="form-select" name="select_column" style="min-width: 40%;padding: 8px;" value="<?php echo esc_html($custom_data['select_column']);?>">
        <option value="2" <?php  selected( $custom_data['select_column'], 2) ?>><?php echo esc_html__('Column-2', 'ecommerce-product-slider-gallery') ?></option>
        <option value="3" <?php  selected( $custom_data['select_column'], 3) ?>><?php echo esc_html__('Column-3', 'ecommerce-product-slider-gallery') ?></option>
        <option value="4" <?php  selected( $custom_data['select_column'], 4) ?>><?php echo esc_html__('Column-4', 'ecommerce-product-slider-gallery') ?></option>
        <option value="5" <?php  selected( $custom_data['select_column'], 5) ?>><?php echo esc_html__('Column-5', 'ecommerce-product-slider-gallery') ?></option>
      </select>
    </div>
    <span class="ps-subtitle-text"><?php echo esc_html__('Set products column.', 'ecommerce-product-slider-gallery') ?></span> 
  </div>
</div>
<div class="row">
  <div class="column">
    <div class="product-slider">
      <h3><?php echo esc_html__('Device Wise Column', 'ecommerce-product-slider-gallery') ?></h3>
      <div class="input-icon-wrap">
        <span class="input-icon"><span class="fa fa-laptop"></span></span>
        <input type="number" class="input-with-icon" min="1" max="5" name="laptop_devices" value="<?php echo esc_html($custom_data['laptop_devices']);?>">
        &nbsp;&nbsp;&nbsp;
        <span class="input-icon"><span class="fa fa-tablet"></span></span>
        <input type="number" class="input-with-icon" min="1" max="5" name= "tablet_devices" value="<?php echo esc_html($custom_data['tablet_devices']);?>">
        &nbsp;&nbsp;&nbsp;
        <span class="input-icon"><span class="fa fa-mobile"></span></span>
        <input type="number" class="input-with-icon" min="1" max="5" name="mobile_devices" value="<?php echo esc_html($custom_data['mobile_devices']); ?>" >
      </div>
    </div> 
    <span class="ps-subtitle-text"><?php echo esc_html__('Set products column(s) in different devices.', 'ecommerce-product-slider-gallery') ?></span> 
  </div>  
</div>
<div class="row">
  <div class="column">
   <div class="product-slider">
    <h3><?php echo esc_html__(' Select Layout', 'ecommerce-product-slider-gallery') ?></h3>
    <select class="select-layout" id="select_layout" name="select_layout" style="min-width: 40%;padding: 8px;" value="<?php echo esc_html($custom_data['select_layout']);?>">
      <option value="layout_one" <?php  selected( $custom_data['select_layout'], 'layout_one') ?>><?php echo esc_html__('Simple Slider
      ', 'ecommerce-product-slider-gallery') ?></option>
      <option value="layout_two" disabled <?php  selected( $custom_data['select_layout'], 'layout_two') ?>><?php echo esc_html__('Grid Slider (Pro)', 'ecommerce-product-slider-gallery') ?></option>
      <option value="layout_three" disabled <?php  selected( $custom_data['select_layout'], 'layout_three') ?>><?php echo esc_html__('Three Row Slider (Pro)', 'ecommerce-product-slider-gallery') ?></option>
      <option value="layout_four" disabled <?php  selected( $custom_data['select_layout'], 'layout_four') ?>><?php echo esc_html__('Grid Fliter Tab (Pro)  
      ', 'ecommerce-product-slider-gallery') ?></option>
      <option value="layout_five" disabled <?php  selected( $custom_data['select_layout'], 'layout_five') ?>><?php echo esc_html__('Simple Grid (Pro)
      ', 'ecommerce-product-slider-gallery') ?></option>
      <option value="layout_six" disabled <?php  selected( $custom_data['select_layout'], 'layout_six') ?>><?php echo esc_html__('Advance Grid (Pro)', 'ecommerce-product-slider-gallery') ?></option>
    </select>
  </div>
  <span class="ps-subtitle-text"><?php echo esc_html__('Select of which Layout style you want to.', 'ecommerce-product-slider-gallery') ?></span>
</div>
</div>
<?php $slider_autoplay =  (isset($custom_data['slider_autoplay']) &&  $custom_data['slider_autoplay'] == 1 ) ? "checked" : "" ; ?>
<div class="row">
  <div class="column">
   <div class="product-slider">
    <h3><?php echo esc_html__('Slider Autoplay', 'ecommerce-product-slider-gallery') ?></h3>
    <label class="switch" style="margin-left:0px;">
     <input type="checkbox" id="togBtn" name="slider_autoplay" value="1" <?php echo esc_attr($slider_autoplay);?> >
     <div class="slider round">
      <span class="on" ><?php echo esc_html__('ON', 'ecommerce-product-slider-gallery') ?></span>
      <span class="off" ><?php echo esc_html__('OFF', 'ecommerce-product-slider-gallery') ?></span>
    </div>
  </label>
</div>
<span class="ps-subtitle-text"><?php echo esc_html__('ON/OFF auto play.', 'ecommerce-product-slider-gallery') ?></span> 
</div>
</div>
<div class="row">
  <div class="column">
    <div class="product-slider">
      <h3><?php echo esc_html__('AutoPlay Speed', 'ecommerce-product-slider-gallery') ?></h3>
      <div class="input-icon-wrap">
        <span class="input-icon"><span><?php echo esc_html__('ms', 'ecommerce-product-slider-gallery') ?></span></span>
        <input type="number" class="input-with-icon" min="1" max="10000" name="autoplay_speed" value="<?php echo esc_html($custom_data['autoplay_speed']);?>" style="padding: 8px; width: 100px;">
      </div>
    </div> 
    <span class="ps-subtitle-text"><?php echo esc_html__('Set auto play speed. Default value is 3000 milliseconds.', 'ecommerce-product-slider-gallery') ?></span>
  </div>  
</div>
<div class="row">
  <div class="column">
   <div class="product-slider">
    <h3 class="pro-demo-text"><?php echo esc_html__('Label Text', 'ecommerce-product-slider-gallery') ?></h3>
    <input type="text" name="labeltext" placeholder="New Offer" disabled>
    <span class="pro-demo"><?php echo esc_html__('Pro', 'ecommerce-product-slider-gallery') ?></span>
  </div>
  <span class="ps-subtitle-text pro-demo-text"><?php echo esc_html__('set product label text.', 'ecommerce-product-slider-gallery') ?></span> 
</div>
</div>
<div class="row">
  <div class="column">
   <div class="product-slider">
    <h3><?php echo esc_html__(' Slider Direction', 'ecommerce-product-slider-gallery') ?></h3>

    <select name="slide_direction" style="min-width: 40%;padding: 8px;">              
      <option value="false" <?=($custom_data['slide_direction']=='false')?'selected':'' ?>><?php echo esc_html__('Right to Left', 'ecommerce-product-slider-gallery') ?></option>
      <option value="true" <?=($custom_data['slide_direction']=='true')?'selected':'' ?>><?php echo esc_html__('Left to Right', 'ecommerce-product-slider-gallery') ?></option>
    </select>
  </div>
  <span class="ps-subtitle-text"><?php echo esc_html__(' Set slider direction as you need.', 'ecommerce-product-slider-gallery') ?></span> 
</div>
</div>
<div class="row">
  <div class="column">
   <div class="product-slider">
    <h3><?php echo esc_html__('Show Now Btn Text', 'ecommerce-product-slider-gallery') ?></h3>
    <input type="text" placeholder="Enter Btn Text" name="shop_btn_text" style="width: 200px; height: 40px;" value="<?php echo esc_html($custom_data['shop_btn_text']);?>">
  </div>
  <span class="ps-subtitle-text"><?php echo esc_html__('set Show Now btn Text.', 'ecommerce-product-slider-gallery') ?></span> 
</div>
</div>
<div class="row">
  <div class="column">
   <div class="product-slider">
    <h3><?php echo esc_html__('Show Now Btn URL', 'ecommerce-product-slider-gallery') ?></h3>
    <input type="text" placeholder="Enter Btn URL" name="shop_btn_url" style="width: 250px; height: 40px;" value="<?php echo esc_html($custom_data['shop_btn_url']);?>">
  </div>
  <span class="ps-subtitle-text"><?php echo esc_html__('set Show Now btn url.', 'ecommerce-product-slider-gallery') ?></span> 
</div>
</div>
<div class="row">
  <div class="column">
   <div class="product-slider">
     <h3><?php echo esc_html__('Order By', 'ecommerce-product-slider-gallery') ?></h3>
     <select class="form-select" name="order_by" value="<?php echo esc_html($custom_data['order_by']);?>" style=" min-width: 40%;padding: 8px;">
      <option value="ID" <?php  selected($custom_data['order_by'],'ID');?>><?php echo esc_html__('ID', 'ecommerce-product-slider-gallery') ?></option>
      <option value="date" <?php  selected($custom_data['order_by'],'date');?>><?php echo esc_html__('Date', 'ecommerce-product-slider-gallery') ?></option>
      <option value="title" <?php  selected($custom_data['order_by'],'title');?>><?php echo esc_html__('Title', 'ecommerce-product-slider-gallery') ?></option>
    </select>
  </div>
  <span class="ps-subtitle-text"><?php echo esc_html__('Set a order by option.', 'ecommerce-product-slider-gallery') ?></span>
</div>
</div>
<div class="row">
  <div class="column">
   <div class="product-slider">
     <h3><?php echo esc_html__('Order Type', 'ecommerce-product-slider-gallery') ?></h3>
     <select class="form-select" name="order_type" value="<?php echo esc_html($custom_data['order_type']);?>" style=" min-width: 40%;padding: 8px;">
      <option value="ASC" <?php  selected($custom_data['order_type'],'ASC');?>><?php echo esc_html__('ASC', 'ecommerce-product-slider-gallery') ?></option>
      <option value="DESC" <?php  selected($custom_data['order_type'],'DESC');?>><?php echo esc_html__('DESC', 'ecommerce-product-slider-gallery') ?></option>
    </select>
  </div>
  <span class="ps-subtitle-text"><?php echo esc_html__('Set product order.', 'ecommerce-product-slider-gallery') ?></span>
</div>
</div>
</section>
<section id="Advance" class="tab-panel">
  <?php $slider_section_title =  (isset($custom_data['slider_section_title']) &&  $custom_data['slider_section_title'] == 1 ) ? "checked" : ""; ?>
  <div class="row">
    <div class="column">
     <div class="product-slider">
      <h3><?php echo esc_html__('Slider Section Title', 'ecommerce-product-slider-gallery') ?></h3>
      <label class="switch">
       <input type="checkbox" id="togBtn" name="slider_section_title" value="1" <?php echo esc_attr($slider_section_title);?>>
       <div class="slider round">
        <span class="on"><?php echo esc_html__('Show', 'ecommerce-product-slider-gallery') ?></span>
        <span class="off"><?php echo esc_html__('Hide', 'ecommerce-product-slider-gallery') ?></span>
      </div>
    </label>
  </div>
  <span class="ps-subtitle-text"><?php echo esc_html__('Show/Hide slider section title.', 'ecommerce-product-slider-gallery') ?></span>
</div>
</div>
<?php $show_slider_Sub_title = (isset($custom_data['show_slider_Sub_title']) && $custom_data['show_slider_Sub_title'] == 1)? "checked" : ""; ?>
<div class="row">
  <div class="column">
    <div class="product-slider">
      <h3><?php echo esc_html__('Slider Sub Title', 'ecommerce-product-slider-gallery') ?></h3>
      <label class="switch">
       <input type="checkbox" id="togBtn" name="show_slider_Sub_title" value="1" <?php echo esc_attr($show_slider_Sub_title);?> >
       <div class="slider round">
        <span class="on"><?php echo esc_html__('Show', 'ecommerce-product-slider-gallery') ?></span>
        <span class="off"><?php echo esc_html__('Hide', 'ecommerce-product-slider-gallery') ?></span>
      </div>
    </label>
  </div>
  <span class="ps-subtitle-text"><?php echo esc_html__('Show/Hide Slider Sub Title.', 'ecommerce-product-slider-gallery') ?></span>
</div>
</div>
<div class="row">
  <div class="column">
    <div class="product-slider">
     <h3 class="pro-demo-text"><?php echo esc_html__('Product Title', 'ecommerce-product-slider-gallery') ?></h3>
     <label class="switch">
      <input type="checkbox" name="product_title" id="togBtn" value="1" disabled>
      <div class="slider round pro-demo">
        <span class="on"><?php echo esc_html__('Show', 'ecommerce-product-slider-gallery') ?></span>
        <span class="off"><?php echo esc_html__('Hide', 'ecommerce-product-slider-gallery') ?></span>
      </div>
    </label>
    <span class="pro-demo"><?php echo esc_html__('Pro', 'ecommerce-product-slider-gallery') ?></span>
  </div>
  <span class="ps-subtitle-text pro-demo-text"><?php echo esc_html__('Show/Hide product title.', 'ecommerce-product-slider-gallery') ?></span>
</div>
</div>
<div class="row">
  <div class="column">
    <div class="product-slider">
     <h3 class="pro-demo-text"><?php echo esc_html__('Label Status', 'ecommerce-product-slider-gallery') ?></h3>
     <label class="switch">
       <input type="checkbox" id="togBtn" name="label_status" value="1" disabled>
       <div class="slider round pro-demo">
        <span class="on"><?php echo esc_html__('Show', 'ecommerce-product-slider-gallery') ?></span>
        <span class="off"><?php echo esc_html__('Hide', 'ecommerce-product-slider-gallery') ?></span>
      </div>
    </label>
    <span class="pro-demo"><?php echo esc_html__('Pro', 'ecommerce-product-slider-gallery') ?></span>
  </div>
  <span class="ps-subtitle-text pro-demo-text"><?php echo esc_html__('Show/Hide label status.', 'ecommerce-product-slider-gallery') ?></span>
</div>
</div>
<div class="row">
  <div class="column">
    <div class="product-slider">
     <h3 class="pro-demo-text"><?php echo esc_html__('Add to cart', 'ecommerce-product-slider-gallery') ?></h3>
     <label class="switch" >
       <input type="checkbox" id="togBtn" name="add_to_cart" value="1" disabled>
       <div class="slider round pro-demo">
        <span class="on"><?php echo esc_html__('Show', 'ecommerce-product-slider-gallery') ?></span>
        <span class="off"><?php echo esc_html__('Hide', 'ecommerce-product-slider-gallery') ?></span>
      </div>
    </label>
    <span class="pro-demo"><?php echo esc_html__('Pro', 'ecommerce-product-slider-gallery') ?></span>
  </div>
  <span class="ps-subtitle-text pro-demo-text"><?php echo esc_html__('Show/Hide product add to cart button.', 'ecommerce-product-slider-gallery') ?></span>
</div>
</div>
<div class="row">
  <div class="column">
    <div class="product-slider">
      <h3 class="pro-demo-text"><?php echo esc_html__('Product Price', 'ecommerce-product-slider-gallery') ?></h3>
      <label class="switch">
       <input type="checkbox" id="togBtn" name="product_price" value="1" disabled>
       <div class="slider round pro-demo">
        <span class="on"><?php echo esc_html__('Show', 'ecommerce-product-slider-gallery') ?></span>
        <span class="off"><?php echo esc_html__('Hide', 'ecommerce-product-slider-gallery') ?></span>
      </div>
    </label>
    <span class="pro-demo"><?php echo esc_html__('Pro', 'ecommerce-product-slider-gallery') ?></span>
  </div>
  <span class="ps-subtitle-text pro-demo-text"><?php echo esc_html__('Show/Hide product price.', 'ecommerce-product-slider-gallery') ?></span>
</div>
</div>
<div class="row">
  <div class="column">
    <div class="product-slider">
      <h3 class="pro-demo-text"><?php echo esc_html__('Product Rating', 'ecommerce-product-slider-gallery') ?></h3>
      <label class="switch">
       <input type="checkbox" id="togBtn" name="product_rating" value="1" disabled>
       <div class="slider round pro-demo">
        <span class="on"><?php echo esc_html__('Show', 'ecommerce-product-slider-gallery') ?></span>
        <span class="off"><?php echo esc_html__('Hide', 'ecommerce-product-slider-gallery') ?></span>
      </div>
    </label>
    <span class="pro-demo"><?php echo esc_html__('Pro', 'ecommerce-product-slider-gallery') ?></span>
  </div>
  <span class="ps-subtitle-text pro-demo-text"><?php echo esc_html__('Show/Hide product rating.', 'ecommerce-product-slider-gallery') ?></span>
</div>
</div>
<div class="row">
  <div class="column">
   <div class="product-slider">
    <h3 class="pro-demo-text"><?php echo esc_html__('Slider Nav', 'ecommerce-product-slider-gallery') ?></h3>
    <label class="switch" >
     <input type="checkbox" id="togBtn" name="show_navigation" value="1" disabled>
     <div class="slider round pro-demo">
      <span class="on"><?php echo esc_html__('Show', 'ecommerce-product-slider-gallery') ?></span>
      <span class="off"> <?php echo esc_html__('Hide', 'ecommerce-product-slider-gallery') ?></span>
    </div>
  </label>
  <span class="pro-demo"><?php echo esc_html__('Pro', 'ecommerce-product-slider-gallery') ?></span>
</div>
<span class="ps-subtitle-text pro-demo-text"><?php echo esc_html__('Show/Hide navigation arrow.', 'ecommerce-product-slider-gallery') ?></span>
</div>
</div>
</section>
<section id="Colors" class="tab-panel">
  <div class="row">
    <div class="column">
     <div class="product-slider">
      <h3><?php echo esc_html__('Slider Section Title', 'ecommerce-product-slider-gallery'); ?></h3>
      <div class="input-icon-wrap">
        <span class="input-icon"><?php echo esc_html__('Color', 'ecommerce-product-slider-gallery') ?></span>
        <input type="color" class="form-color color-box" name="s_s_title" value="<?php echo esc_html($custom_data['s_s_title']);?>" style="height: 40px; margin: 0;">
      </div>
    </div>
    <span class="ps-subtitle-text"><?php echo esc_html__('Set Slider Section Title Color.', 'ecommerce-product-slider-gallery') ?></span> 
  </div>
</div>
<div class="row">
  <div class="column">
   <div class="product-slider">
    <h3><?php echo esc_html__('Slider Section Sub Title', 'ecommerce-product-slider-gallery'); ?></h3>
    <div class="input-icon-wrap">
      <span class="input-icon"><?php echo esc_html__('Color', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="s_subtitle" value="<?php echo esc_html($custom_data['s_subtitle']);?>" style="height: 40px; margin: 0;">
    </div>
  </div>
  <span class="ps-subtitle-text"><?php echo esc_html__('Set Slider Section Sub Title Color.', 'ecommerce-product-slider-gallery') ?></span> 
</div>
</div>
<div class="row">
  <div class="column">
   <div class="product-slider">
    <h3><?php echo esc_html__('Show More Button', 'ecommerce-product-slider-gallery'); ?></h3>
    <div class="input-icon-wrap">
      <span class="input-icon"><?php echo esc_html__('Text Color', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="shop_text_color" value="<?php echo esc_html($custom_data['shop_text_color']);?>" style="height: 40px; margin: 0;">
    </div>&nbsp;
    <div class="input-icon-wrap">
      <span class="input-icon"><?php echo esc_html__('Text Hover', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="shop_text_hover" value="<?php echo esc_html($custom_data['shop_text_hover']);?>" style="height: 40px; margin: 0;">
    </div>&nbsp;
    <div class="input-icon-wrap">
      <span class="input-icon"><?php echo esc_html__('Background', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="shop_background" value="<?php echo esc_html($custom_data['shop_background']);?>" style="height: 40px; margin: 0;">
    </div>&nbsp;
    <div class="input-icon-wrap">
      <span class="input-icon"><?php echo esc_html__('Hover BG', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="shop_hover_bg" value="<?php echo esc_html($custom_data['shop_hover_bg']);?>" style="height: 40px; margin: 0;">
    </div>
  </div>
  <span class="ps-subtitle-text"><?php echo esc_html__('set show more button color.', 'ecommerce-product-slider-gallery') ?></span> 
</div>
</div>
<div class="row">
  <div class="column">
   <div class="product-slider">
    <h3><?php echo esc_html__('Show More Button Border', 'ecommerce-product-slider-gallery'); ?></h3>
    <div class="input-icon-wrap">
      <span class="input-icon"><?php echo esc_html__('Color', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="shop_border_color" value="<?php echo esc_html($custom_data['shop_border_color']);?>" style="height: 40px; margin: 0;">
    </div>&nbsp;
    <div class="input-icon-wrap">
      <span class="input-icon"><?php echo esc_html__('Hover Color', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="shop_border_hover" value="<?php echo esc_html($custom_data['shop_border_hover']);?>" style="height: 40px; margin: 0;">
    </div>
  </div>
  <span class="ps-subtitle-text"><?php echo esc_html__('set show more button border.', 'ecommerce-product-slider-gallery') ?></span> 
</div>
</div>
<div class="row">
  <div class="column">
   <div class="product-slider">
    <h3 class="pro-demo-text"><?php echo esc_html__('Product Label', 'ecommerce-product-slider-gallery'); ?></h3>
    <div class="input-icon-wrap">
      <span class="input-icon pro-demo-text"><?php echo esc_html__('Color', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="label_text_color" value="#ffffff" style="height: 40px; margin: 0;" disabled>
    </div>&nbsp;
    <div class="input-icon-wrap">
      <span class="input-icon pro-demo-text"><?php echo esc_html__('Background', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="label_background" value="#da3f3f" style="height: 40px; margin: 0;" disabled>
    </div>
    <span class="pro-demo"><?php echo esc_html__('Pro', 'ecommerce-product-slider-gallery') ?></span>
  </div>
  <span class="ps-subtitle-text pro-demo-text"><?php echo esc_html__('set product label color.', 'ecommerce-product-slider-gallery') ?></span> 
</div>
</div>
<div class="row">
  <div class="column">
   <div class="product-slider">
    <h3 class="pro-demo-text"><?php echo esc_html__('Category Wise Filter Tab', 'ecommerce-product-slider-gallery'); ?></h3>
    <div class="input-icon-wrap">
      <span class="input-icon pro-demo-text"><?php echo esc_html__('Text Color', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="tab_text_color" value="#000" style="height: 40px; margin: 0;" disabled>
    </div>&nbsp;
    <div class="input-icon-wrap">
      <span class="input-icon pro-demo-text"><?php echo esc_html__('Text Hover', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="tab_text_hover" value="#ffffff" style="height: 40px; margin: 0;" disabled>
    </div>&nbsp;
    <div class="input-icon-wrap">
      <span class="input-icon pro-demo-text"><?php echo esc_html__('Background', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="tab_background" value="#ffffff" style="height: 40px; margin: 0;" disabled>
    </div>&nbsp;
    <div class="input-icon-wrap">
      <span class="input-icon pro-demo-text"><?php echo esc_html__('Hover BG', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="tab_hover_bg" value="#000" style="height: 40px; margin: 0;" disabled>
    </div>
    <span class="pro-demo"><?php echo esc_html__('Pro', 'ecommerce-product-slider-gallery') ?></span>
  </div>
  <span class="ps-subtitle-text pro-demo-text"><?php echo esc_html__('Set category wise filter tab color.', 'ecommerce-product-slider-gallery') ?></span> 
</div>
</div>
<div class="row">
  <div class="column">
   <div class="product-slider">
    <h3 class="pro-demo-text"><?php echo esc_html__('Category Wise Filter Tab Border', 'ecommerce-product-slider-gallery'); ?></h3>
    <div class="input-icon-wrap">
      <span class="input-icon pro-demo-text"><?php echo esc_html__('Color', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="tab_border_color" value="#000" style="height: 40px; margin: 0;" disabled>
    </div>&nbsp;
    <div class="input-icon-wrap">
      <span class="input-icon pro-demo-text"><?php echo esc_html__('Hover Color', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="tab_border_hover" value="#000" style="height: 40px; margin: 0;" disabled>
    </div>
    <span class="pro-demo"><?php echo esc_html__('Pro', 'ecommerce-product-slider-gallery') ?></span>
  </div>
  <span class="ps-subtitle-text pro-demo-text"><?php echo esc_html__('set category wise filter tab color border.', 'ecommerce-product-slider-gallery') ?></span> 
</div>
</div>
<div class="row">
  <div class="column">
   <div class="product-slider">
    <h3><?php echo esc_html__('Background', 'ecommerce-product-slider-gallery'); ?></h3>
    <div class="input-icon-wrap">
      <span class="input-icon"><?php echo esc_html__('Background', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="s_s_background" value="<?php echo esc_html($custom_data['s_s_background']);?>" style="height: 40px; margin: 0;">
    </div>
  </div>
  <span class="ps-subtitle-text"><?php echo esc_html__('Set Slider Section Background Color.', 'ecommerce-product-slider-gallery') ?></span> 
</div>
</div>
<div class="row">
  <div class="column">
   <div class="product-slider">
    <h3 class="pro-demo-text"><?php echo esc_html__('Product Price', 'ecommerce-product-slider-gallery'); ?></h3>
    <div class="input-icon-wrap">
      <span class="input-icon pro-demo-text"><?php echo esc_html__('Regular price', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="regular_price" value="#888888" style="height: 40px; margin: 0;" disabled>
    </div>&nbsp;
    <div class="input-icon-wrap">
      <span class="input-icon pro-demo-text"><?php echo esc_html__('Sale price', 'ecommerce-product-slider-gallery') ?></span>
      <input type="color" class="form-color color-box" name="sale_price" value="#000" style="height: 40px; margin: 0;" disabled>
    </div>
    <span class="pro-demo"><?php echo esc_html__('Pro', 'ecommerce-product-slider-gallery') ?></span>
  </div>
  <span class="ps-subtitle-text pro-demo-text"><?php echo esc_html__('set Product Price color.', 'ecommerce-product-slider-gallery') ?></span> 
</div>
</div>
</section>
<section id="Image" class="tab-panel">
  <div class="row">
    <div class="column">
      <div class="product-slider">
        <h3><?php echo esc_html__('Image Size', 'ecommerce-product-slider-gallery') ?></h3>
        <select class="form-select" name="image_size" value="<?php echo esc_html($custom_data['image_size']);?>" style=" min-width: 40%;padding: 8px;">
          <option value="full" <?php selected($custom_data['image_size'], 'full');?>><?php echo esc_html__('Full size: original size', 'ecommerce-product-slider-gallery') ?></option>
          <option value="medium" <?php selected($custom_data['image_size'], 'medium');?>><?php echo esc_html__('Medium size: 300 x 300', 'ecommerce-product-slider-gallery') ?></option>
          <option value="thumbnail" <?php selected($custom_data['image_size'], 'thumbnail');?>><?php echo esc_html__('Thumbnail size: 150 x150', 'ecommerce-product-slider-gallery') ?></option>
          <option value="woocommerce_thumbnail" <?php selected($custom_data['image_size'], 'woocommerce_thumbnail');?>><?php echo esc_html__('eCommerce_thumbnail: 300x300 ', 'ecommerce-product-slider-gallery') ?></option>
          <option value="woocommerce_single" <?php selected($custom_data['image_size'], 'woocommerce_single');?>><?php echo esc_html__('eCommerce_single: 600x600', 'ecommerce-product-slider-gallery') ?></option>
          <option value="woocommerce_gallery_thumbnail" <?php selected($custom_data['image_size'], 'woocommerce_gallery_thumbnail');?>><?php echo esc_html__('eCommerce_gallery_thumbnail:100x100', 'ecommerce-product-slider-gallery') ?></option>
          <option value="shop_thumbnail" <?php selected($custom_data['image_size'], 'shop_thumbnail');?>><?php echo esc_html__('Shop_thumbnail: 801 x 801', 'ecommerce-product-slider-gallery') ?></option>
          <option value="shop_catalog" <?php selected($custom_data['image_size'], 'shop_catalog');?>><?php echo esc_html__('Shop_catalog: 300x300', 'ecommerce-product-slider-gallery') ?></option>
        </select>
      </div>
      <span class="ps-subtitle-text"><?php echo esc_html__('Select a size for product image.', 'ecommerce-product-slider-gallery') ?></span>
    </div>
  </div>
</section>
<section id="Typography" class="tab-panel">
  <div class="row">
    <div class="column">
     <div class="product-slider">
      <h3><?php echo esc_html__('Slider Section Title', 'ecommerce-product-slider-gallery') ?></h3>
      <div class="input-icon-wrap">
        <span class="input-icon"><?php echo esc_html__('Font size ', 'ecommerce-product-slider-gallery') ?></span>
        <input type="number" class="input-with-icon" min="1" max="100" name="slider_section_title_font_size" value="<?php echo esc_html($custom_data['slider_section_title_font_size']);?>">
        &nbsp;&nbsp;&nbsp;
        <span class="input-icon"><?php echo esc_html__('Line Height', 'ecommerce-product-slider-gallery') ?></span>
        <input type="number" class="input-with-icon" step="0.01" max="5" name= "slider_section_title_line_height" value="<?php echo esc_html($custom_data['slider_section_title_line_height']);?>"> 
        &nbsp;&nbsp;&nbsp;
        <span class="input-icon"><?php echo esc_html__('Letter Spacing', 'ecommerce-product-slider-gallery') ?></span>
        <input type="number" class="input-with-icon" step="0.1" max="10" name="slider_section_title_letter_spacing" value="<?php echo esc_html($custom_data['slider_section_title_letter_spacing']);?>">
      </div> 
    </div> 
    <span class="ps-subtitle-text"><?php echo esc_html__('set slider section title font properties.', 'ecommerce-product-slider-gallery') ?></span> 
  </div>
</div>
<div class="row">
  <div class="column">
   <div class="product-slider">
    <h3><?php echo esc_html__('Slider Sub Title', 'ecommerce-product-slider-gallery');?></h3>
    <div class="input-icon-wrap">
      <span class="input-icon"><?php echo esc_html__('Font size ', 'ecommerce-product-slider-gallery') ?></span>
      <input type="number" class="input-with-icon" min="1" max="100" name="slider_sub_title_font_size" value="<?php echo esc_html($custom_data['slider_sub_title_font_size']);?>">
      &nbsp;&nbsp;&nbsp;
      <span class="input-icon"><?php echo esc_html__('Line Height', 'ecommerce-product-slider-gallery') ?></span>
      <input type="number" class="input-with-icon" step="0.01" max="5" name= "slider_sub_title_line_height" value="<?php echo esc_html($custom_data['slider_sub_title_line_height']);?>"> 
      &nbsp;&nbsp;&nbsp;
      <span class="input-icon"><?php echo esc_html__('Letter Spacing', 'ecommerce-product-slider-gallery') ?></span>
      <input type="number" class="input-with-icon" step="0.1" max="10" name="slider_sub_title_letter_spacing" value="<?php echo esc_html($custom_data['slider_sub_title_letter_spacing']);?>">
    </div> 
  </div> 
  <span class="ps-subtitle-text"><?php echo esc_html__('set slider sub title font properties.', 'ecommerce-product-slider-gallery') ?></span> 
</div>
</div>
<div class="row">
  <div class="column">
    <div class="product-slider">
      <h3 class="pro-demo-text"><?php echo esc_html__('Product Title', 'ecommerce-product-slider-gallery') ?></h3>
      <div class="input-icon-wrap">
        <span class="input-icon pro-demo-text"><?php echo esc_html__('Font size ', 'ecommerce-product-slider-gallery') ?></span>
        <input type="number" class="input-with-icon" min="1" max="50" name="product_title_f" value="16" disabled>
        &nbsp;&nbsp;&nbsp;
        <span class="input-icon pro-demo-text"><?php echo esc_html__('Line Height', 'ecommerce-product-slider-gallery') ?></span>
        <input type="number" class="input-with-icon" step="0.01" max="5" name="product_title_l_h" value="1.2" disabled>
        &nbsp;&nbsp;&nbsp;
        <span class="input-icon pro-demo-text"><?php echo esc_html__('Letter Spacing', 'ecommerce-product-slider-gallery') ?></span>
        <input type="number" class="input-with-icon" step="0.1" max="10" name= "product_title_l_sp" value="0" disabled>
      </div> 
      <span class="pro-demo"><?php echo esc_html__('Pro', 'ecommerce-product-slider-gallery') ?></span>
    </div>  
    <span class="ps-subtitle-text pro-demo-text"><?php echo esc_html__('set product title font properties.', 'ecommerce-product-slider-gallery') ?></span>
  </div>
</div>
<div class="row">
  <div class="column">
    <div class="product-slider">
      <h3 class="pro-demo-text"><?php echo esc_html__('Label Text', 'ecommerce-product-slider-gallery') ?></h3>
      <div class="input-icon-wrap">
        <span class="input-icon pro-demo-text"><?php echo esc_html__('Font size ', 'ecommerce-product-slider-gallery') ?></span>
        <input type="number" class="input-with-icon" min="1" max="50" name="label_text_font_size" value="14" disabled>
        &nbsp;&nbsp;&nbsp;
        <span class="input-icon pro-demo-text"><?php echo esc_html__('Line Height', 'ecommerce-product-slider-gallery') ?></span>
        <input type="number" class="input-with-icon" step="0.01" max="10" name="label_text_line_height" value="1.2" disabled>
        &nbsp;&nbsp;&nbsp;
        <span class="input-icon pro-demo-text"><?php echo esc_html__('Letter Spacing', 'ecommerce-product-slider-gallery') ?></span>
        <input type="number" class="input-with-icon" step="0.1" max="10" name= "label_text_letter_spacing" value="0" disabled>
      </div> 
      <span class="pro-demo"><?php echo esc_html__('Pro', 'ecommerce-product-slider-gallery') ?></span>
    </div>  
    <span class="ps-subtitle-text pro-demo-text"><?php echo esc_html__('set label text font properties.', 'ecommerce-product-slider-gallery') ?></span>
  </div>
</div>
<div class="row">
  <div class="column">
    <div class="product-slider">
      <h3 class="pro-demo-text"><?php echo esc_html__('Product Price', 'ecommerce-product-slider-gallery') ?></h3>
      <div class="input-icon-wrap">
        <span class="input-icon pro-demo-text"><?php echo esc_html__('Font size', 'ecommerce-product-slider-gallery') ?></span>
        <input type="number" class="input-with-icon" min="1" max="50" name="product_price_font_size" value="16" disabled>
        &nbsp;&nbsp;&nbsp;
        <span class="input-icon pro-demo-text"><?php echo esc_html__('Line Height', 'ecommerce-product-slider-gallery') ?></span>
        <input type="number" class="input-with-icon" step="0.01" max="10" name="product_price_line_height" value="1.2" disabled>
        &nbsp;&nbsp;&nbsp;
        <span class="input-icon pro-demo-text"><?php echo esc_html__('Letter Spacing', 'ecommerce-product-slider-gallery') ?></span>
        <input type="number" class="input-with-icon" step="0.1" max="10" name="product_price_letter_spacing" value="0" disabled>
      </div> 
      <span class="pro-demo"><?php echo esc_html__('Pro', 'ecommerce-product-slider-gallery') ?></span>
    </div>
    <span class="ps-subtitle-text pro-demo-text"><?php echo esc_html__('set product price font properties.', 'ecommerce-product-slider-gallery') ?></span>    
  </div>
</div>
<div class="row">
  <div class="column">
    <div class="product-slider">
      <h3 class="pro-demo-text"><?php echo esc_html__('Add to cart btn text', 'ecommerce-product-slider-gallery') ?></h3>
      <div class="input-icon-wrap">
        <span class="input-icon pro-demo-text"><?php echo esc_html__('Font size', 'ecommerce-product-slider-gallery') ?></span>
        <input type="number" class="input-with-icon" min="1" max="50" name="add_to_cart_font_size" value="14" disabled>
        &nbsp;&nbsp;&nbsp;
        <span class="input-icon pro-demo-text"><?php echo esc_html__('Line Height', 'ecommerce-product-slider-gallery') ?></span>
        <input type="number" class="input-with-icon" step="0.01" max="10" name="add_to_cart_line_height" value="1.2" disabled>
        &nbsp;&nbsp;&nbsp;
        <span class="input-icon pro-demo-text"><?php echo esc_html__('Letter Spacing', 'ecommerce-product-slider-gallery') ?></span>
        <input type="number" class="input-with-icon" step="0.1" max="10" name="add_to_cart_letter_spacing" value="0" disabled>
      </div> 
      <span class="pro-demo"><?php echo esc_html__('Pro', 'ecommerce-product-slider-gallery') ?></span>
    </div>
    <span class="ps-subtitle-text pro-demo-text"><?php echo esc_html__('set product add to cart font properties.', 'ecommerce-product-slider-gallery') ?></span>    
  </div>
</div>
</section>
<section id="Custom_Css" class="tab-panel">
  <h3 class="custom_css_h3"><?php echo esc_html__('Custom Css','ecommerce-product-slider-gallery') ?></h3>
  <div class="WP_Edit">
    <div class="WPS_editor">
      <div class="WPS_Number"><span><?php echo esc_html__('1','ecommerce-product-slider-gallery') ?></span></div>
      <textarea name="custom_css"><?php echo esc_attr( $custom_data['custom_css']); ?></textarea>
    </div>
  </div>
  <p><?php echo esc_html__('Enter Css without','ecommerce-product-slider-gallery') ?> <strong>&lt;<?php echo esc_html__('style','ecommerce-product-slider-gallery') ?>&gt; &lt;<?php echo esc_html__('/style','ecommerce-product-slider-gallery') ?>&gt; </strong> <?php echo esc_html__('tag','ecommerce-product-slider-gallery') ?></p>
</section>
</div>
</div>