<?php
require(EPSG_PATH.'inc/slider-layouts/layout-one/css/layout-one-css.php');
wp_enqueue_script( 'epsg-layout-one', EPSG_URL.'inc/slider-layouts/layout-one/js/layout-one.js', array('jquery'), false, true );
// js fetch slider settings
$select_column    = $custom_data['select_column'];
$laptop_devices   = $custom_data['laptop_devices'];
$tablet_devices   = $custom_data['tablet_devices'];
$mobile_devices   = $custom_data['mobile_devices'];
$slider_autoplay  = $custom_data['slider_autoplay'];
$autoplay_speed   = $custom_data['autoplay_speed'];
$slide_direction  = $custom_data['slide_direction'];
$loop_slider      = $custom_data['loop_slider'];
// wp localize script
wp_localize_script( 'epsg-layout-one', 'slider_column',
	array( 
		'select_column'     => $select_column,
		'laptop_devices'    => $laptop_devices,
		'tablet_devices'    => $tablet_devices,
		'mobile_devices'    => $mobile_devices,
		'slider_autoplay'   => $slider_autoplay,
		'autoplay_speed'    => $autoplay_speed,
		'slide_direction'   => $slide_direction,
		'loop_slider'       => $loop_slider,
	)
);
// fetch slider settings
$slider_section_title     = $custom_data['slider_section_title'];
$slider_sub_title         = $custom_data['slider_sub_title'];
$show_slider_Sub_title    = $custom_data['show_slider_Sub_title'];
$image_size               = $custom_data['image_size'];
$order_by                 = $custom_data['order_by'];
$order_type               = $custom_data['order_type'];
$product_category         = $custom_data['product_category'];
$shop_btn_text            = $custom_data['shop_btn_text'];
$shop_btn_url             = $custom_data['shop_btn_url'];
// Product loop
if($product_category != '')
{
	$layout_one_args = array(
		'post_type'       => 'product',
		'post_status'     => 'publish',
		'posts_per_page'  =>  -1,
		'orderby'         => $order_by,
		'order'           => $order_type, 
		'tax_query'       => array(
			array(
				'taxonomy'  => 'product_cat',
				'field'     => 'term_id',
				'terms'     =>  $product_category,
			)
		),
	);
}else{
	$layout_one_args = array(
		'post_type'       => 'product',
		'post_status'     => 'publish',
		'posts_per_page'  =>  -1,
		'orderby'         => $order_by,
		'order'           => $order_type, 
	);
}
?>
<div class="epsg-layout-one epsg-code-<?php echo get_the_Id();?>">
	<section class="py-5 epsg-slider-one">
		<div class="container">
			<div class="heading-primary py-5 text-center">
				<?php if($slider_section_title): ?>
					<h3 class="slider-section-title"><?php echo get_the_title($id); ?></h3>
				<?php endif; ?>
				<?php if($show_slider_Sub_title): ?>
					<p class="slider-sub-title"><?php echo wp_kses_post( $slider_sub_title ); ?></p>
				<?php endif; ?> 
			</div>
			<div id="room-owl" class="main-product-row owl-carousel epsg_owl_lite woocommerce">
				<?php
               // Start Loop
				$layout_one_loop = new WP_Query($layout_one_args);
				if($layout_one_loop->have_posts() ):
					while($layout_one_loop->have_posts() ):
						$layout_one_loop->the_post();
						$title          = get_the_title();
						$permalink      = get_the_permalink();
						$product        = wc_get_product(get_the_id());
						$price          = $product->get_price_html();
						$avg_rating     = $product->get_average_rating();
						$rating_percent = ($avg_rating / 5)*100;
						?>
						<div class="item">
							<div class="product-slider">
								<div class="product-slider-hover">
									<div class="Product_ribbon">
										<span class="badges_inner product_label_text"><?php echo esc_html__('New Offer', 'ecommerce-product-slider-gallery') ?></span>
									</div>								
									<div class="products-images">
										<a href="<?php echo esc_url($permalink); ?>">
											<div class="product-main-img">
												<?php echo get_the_post_thumbnail( get_the_ID(), $image_size ); ?>
											</div>
											<div class="product-hover-img">
												<?php echo get_the_post_thumbnail( get_the_ID(), $image_size ); ?>
											</div>
										</a>
									</div>
									<div class="products-icons">									
										<?php $pluginPath = 'ti-woocommerce-wishlist/ti-woocommerce-wishlist.php';
										if ( is_plugin_active( $pluginPath ) ) { ?>
											<div class="product-icon wishlist-btn epsg-layout-01" data-hint="<?php echo esc_html__('Add to wishlist', 'ecommerce-product-slider-gallery') ?>">
												<?php echo do_shortcode("[ti_wishlists_addtowishlist loop=yes]"); ?>  
											</div>
										<?php } ?>									
										<div class="product-icon addtocart-btn epsg-layout-01" data-hint="<?php echo esc_html__('Add to cart', 'ecommerce-product-slider-gallery') ?>">
											<a href="?add-to-cart=<?php echo esc_attr($id) ?>" class="button add_to_cart_button ajax_add_to_cart add-to-cart" data-product_id="<?php echo get_the_Id();?>"></a>
										</div>
										<div class="product-icon quick-view-btn epsg-layout-01" data-hint="<?php echo esc_html__('View', 'ecommerce-product-slider-gallery') ?>">
											<a href="<?php echo esc_url($permalink);?>"></a>
										</div>
									</div>
								</div>
								<div class="product-info">
									<div class="product-category">
										<?php echo wc_get_product_category_list($product->get_id());?>
										<div class="ratings">
											<div class="star-rating">
												<span style="width:<?php echo esc_attr($rating_percent);?>%"><strong><?php echo esc_attr($avg_rating); ?></strong>  <?php echo esc_html__('out of 5', 'ecommerce-product-slider-gallery') ?></span>
											</div> 
										</div>      
									</div>								
									<h3 class="product-title product_name">
										<a href="<?php echo esc_url($permalink);?>"><?php echo esc_html($title); ?></a>
									</h3>								
									<div class="pro-price">
										<div class="price">
											<h3 class="woocommerce-Price-amount"><?php echo wp_kses_post( $price ); ?></h3>
										</div>
									</div>
								</div>
							</div>
						</div>
						<?php
                     //End Loop
					endwhile;
				endif;
				wp_reset_query();
				?>
			</div>
			<div class="text-center mt-5">
				<a href="<?php echo esc_url($shop_btn_url);?>" class="product-shop-btn"><?php echo esc_html($shop_btn_text); ?></a>
			</div>
		</div>
	</section>
</div>